extends ../layout

block content
  .page-header
    h3 Profile Information
    p Don't tell too much about your personal life. Just state why your here.

  form.form-horizontal(action='/account/profile', method='POST')
    input(type='hidden', name='_csrf', value=_csrf)
    .form-group
      label.col-sm-3.control-label(for='email') Email
      .col-sm-7
        p #{user.email}
        input.form-control(type='email', name='email', id='email', value=user.email)
    .form-group
      label.col-sm-3.control-label(for='name') Name
      .col-sm-7
        input.form-control(type='text', name='pname', id='name', value=user.profile.name)
    .form-group
      label.col-sm-3.control-label Gender
      .col-sm-6
        label.radio.col-sm-3
          input(type='radio', checked=user.profile.gender=='m', name='gender', value='m', data-toggle='radio')
          span Male
        label.radio.col-sm-3
          input(type='radio', checked=user.profile.gender=='f', name='gender', value='f', data-toggle='radio')
          span Female
        label.radio.col-sm-3
          input(type='radio', checked=user.profile.gender=='trans', name='gender', value='other', data-toggle='radio')
          span Transgender
    .form-group
      label.col-sm-3.control-label Bio:
      .col-sm-6
           textarea#comment.form-control(rows='5',name='bio', value=user.profile.bio)
    .form-group
      label.col-sm-3.control-label(for='location') Location
      .col-sm-7
        input.form-control(type='text', name='location', id='location', placeholder="San Francisco")
    .form-group
      label.col-sm-3.control-label(for='website') Website
      .col-sm-7
        input.form-control(type='text', name='website', id='website', value=user.profile.website)
    .form-group
      label.col-sm-3.control-label Gravatar
      .col-sm-4
        img(src=user.gravatar(), class='profile', width='100', height='100')
    .form-group
      .col-sm-offset-3.col-sm-4
        button.btn.btn.btn-primary(type='submit')
          i.fa.fa-pencil
          | Update Profile

  .page-header
    h3 Change Password

  form.form-horizontal(action='/account/password', method='POST')
    input(type='hidden', name='_csrf', value=_csrf)
    .form-group
      label.col-sm-3.control-label(for='password') New Password
      .col-sm-7
        input.form-control(type='password', name='password', id='password')
    .form-group
      label.col-sm-3.control-label(for='confirmPassword') Confirm Password
      .col-sm-7
        input.form-control(type='password', name='confirmPassword', id='confirmPassword')
    .form-group
      .col-sm-offset-3.col-sm-4
        button.btn.btn-primary(type='submit')
          i.fa.fa-lock
          | Change Password
          s
  .page-header
    h3 Delete Account

  form.form-horizontal(action='/account/delete', method='POST')
    .form-group
      p.col-sm-offset-3.col-sm-4 You can delete your account, but keep in mind this action is irreversible.
      input(type='hidden', name='_csrf', value=_csrf)
      .col-sm-offset-3.col-sm-4
        button.btn.btn-danger(type='submit')
          i.fa.fa-trash
          | Delete my account

